% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/structure.evanno.R
\name{structure.evanno}
\alias{structure.evanno}
\title{Run Evanno Method on STRUCTURE Results}
\usage{
structure.evanno(sr, plot = TRUE)
}
\arguments{
\item{sr}{output from a call to \code{\link{structure.run}}.}

\item{plot}{logical. Generate a plot of Evanno metrics.}
}
\value{
a data.frame with Evanno log-likelihood metrics for each value of K.
}
\description{
Calculate first and second order rates of changes of LnPr(K) from STRUCTURE results based
  on Evanno et al. 2005.
}
\author{
Eric Archer \email{eric.archer@noaa.gov}
}
\references{
Evanno, G., Regnaut, S., and J. Goudet. 2005. Detecting the number of clusters of
  individuals using the software STRUCTURE: a simulation study. Molecular Ecology 14:2611-2620.
}
\seealso{
\code{\link{structure}}
}

